List repositories
curl --request GET \
--url https://api.identityhub.app/repositoriesimport requests
url = "https://api.identityhub.app/repositories"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.identityhub.app/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"items": [
{
"platform": "<string>",
"platformId": "<string>",
"owner": "<string>",
"name": "<string>",
"category": "<string>",
"ecosystem": "<string>",
"description": "<string>",
"status": "<string>",
"contributorsCount": 123,
"platformCreatedAt": "2023-11-07T05:31:56Z",
"platformUpdatedAt": "2023-11-07T05:31:56Z",
"platformPushedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"pageSize": 123,
"totalPages": 123,
"hasMore": true
}
}Repositories
List repositories
Returns paginated list of repositories with optional filters (search, category, ecosystem, importance, platform, status). Supports sorting.
GET
/
repositories
List repositories
Query Parameters
Page number (1-based)
Required range:
1 <= x <= 9007199254740991Items per page (1-100)
Required range:
1 <= x <= 100Full-text search by repository name or owner
Filter by repository category (e.g. defi, nft, infra)
Filter by ecosystem (e.g. ton, ethereum)
Filter by importance level (e.g. high, medium, low)
Filter by platform (e.g. github)
Filter by classification status (e.g. NEED_REVIEW, CLASSIFIED)
Available options:
ECOSYSTEM, NEED_REVIEW, REVIEWED, NEED_REVIEW_CONTEST Sort field: createdAt, updatedAt, name, or owner
Available options:
createdAt, updatedAt, name, owner Sort direction: asc or desc
Available options:
asc, desc